| Demo HCI Implementation for WiMOD-LR Devices V2.0.3

Public Attributes | List of all members
TProLinkDeviceStatus Struct Reference

## Public Attributes
UINT8 | Status
UINT8 | SysTickResolution
UINT32 | SysTickCounter
UINT32 | RtcTime
UINT16 | NvmStatus
UINT16 | BatteryStatus
UINT16 | ExtraStatus
UINT32 | LoRaWAN_TxUDataPackets
UINT32 | LoRaWAN_TxCDataPackets
UINT32 | LoRaWAN_TxError
UINT32 | LoRaWAN_Rx1UDataPackets
UINT32 | LoRaWAN_Rx1CDataPackets
UINT32 | LoRaWAN_Rx1MicError
UINT32 | LoRaWAN_Rx2UDataPackets
UINT32 | LoRaWAN_Rx2CDataPackets
UINT32 | LoRaWAN_Rx2MicError
UINT32 | LoRaWAN_TxJoin
UINT32 | LoRaWAN_RxAccept
UINT32 | LRBASE_RxPackets
UINT32 | LRBASE_RxAddressMatch
UINT32 | LRBASE_RxCRCError
UINT32 | LRBASE_TxPackets
UINT32 | LRBASE_TxError
UINT32 | LRBASE_TxMediaBusyEvents

## Member Data Documentation

## ◆ BatteryStatus

UINT16 TProLinkDeviceStatus::BatteryStatus

current voltage level of power supply in mV

## ◆ ExtraStatus

UINT16 TProLinkDeviceStatus::ExtraStatus

extra status bits

## ◆ LoRaWAN_Rx1CDataPackets

UINT32 TProLinkDeviceStatus::LoRaWAN_Rx1CDataPackets

number of reliable radio packets received in 1st window

## ◆ LoRaWAN_Rx1MicError

UINT32 TProLinkDeviceStatus::LoRaWAN_Rx1MicError

number of radio packets in 1st window with MIC error

## ◆ LoRaWAN_Rx1UDataPackets

UINT32 TProLinkDeviceStatus::LoRaWAN_Rx1UDataPackets

number of unreliable radio packets received in 1st window

## ◆ LoRaWAN_Rx2CDataPackets

UINT32 TProLinkDeviceStatus::LoRaWAN_Rx2CDataPackets

number of reliable radio packets received in 2nd window

## ◆ LoRaWAN_Rx2MicError

UINT32 TProLinkDeviceStatus::LoRaWAN_Rx2MicError

number of radio packets in 2nd window with MIC error

## ◆ LoRaWAN_Rx2UDataPackets

UINT32 TProLinkDeviceStatus::LoRaWAN_Rx2UDataPackets

number of unreliable radio packets received in 2nd window

## ◆ LoRaWAN_RxAccept

UINT32 TProLinkDeviceStatus::LoRaWAN_RxAccept

number of join accept radio packets received

## ◆ LoRaWAN_TxCDataPackets

UINT32 TProLinkDeviceStatus::LoRaWAN_TxCDataPackets

number of reliable radio packets transmitted

## ◆ LoRaWAN_TxError

UINT32 TProLinkDeviceStatus::LoRaWAN_TxError

number of packets not transmitted due to an error

## ◆ LoRaWAN_TxJoin

UINT32 TProLinkDeviceStatus::LoRaWAN_TxJoin

number of join request radio packets transmitted

## ◆ LoRaWAN_TxUDataPackets

UINT32 TProLinkDeviceStatus::LoRaWAN_TxUDataPackets

number of unreliable radio packets transmitted

## ◆ LRBASE_RxAddressMatch

UINT32 TProLinkDeviceStatus::LRBASE_RxAddressMatch

number of received radio packets with CRC and Address OK

## ◆ LRBASE_RxCRCError

UINT32 TProLinkDeviceStatus::LRBASE_RxCRCError

number of received radio packets with CRC Error

## ◆ LRBASE_RxPackets

UINT32 TProLinkDeviceStatus::LRBASE_RxPackets

number of received radio packets with CRC OK

## ◆ LRBASE_TxError

UINT32 TProLinkDeviceStatus::LRBASE_TxError

number of not transmitted radio packets

## ◆ LRBASE_TxMediaBusyEvents

UINT32 TProLinkDeviceStatus::LRBASE_TxMediaBusyEvents

number of not transmitted packets due to LBT result “media busy”

## ◆ LRBASE_TxPackets

UINT32 TProLinkDeviceStatus::LRBASE_TxPackets

number of transmitted radio packets

## ◆ NvmStatus

UINT16 TProLinkDeviceStatus::NvmStatus

Status of the internal NVM slots

## ◆ RtcTime

UINT32 TProLinkDeviceStatus::RtcTime

32bit encoded current RTC timestamp (

See also
  WIMOD_RTC_* macros)

## ◆ Status

UINT8 TProLinkDeviceStatus::Status

status flag; indicates if other values are vaild

## ◆ SysTickCounter

UINT32 TProLinkDeviceStatus::SysTickCounter

virtual systick counter value

## ◆ SysTickResolution

UINT8 TProLinkDeviceStatus::SysTickResolution

systick interval time in ms

The documentation for this struct was generated from the following file:

- SAP/WiMOD_SAP_DEVMGMT_ProLink_IDs.h